Package org.apache.sysds.runtime.controlprogram.federated.monitoring.repositories

# Interface IRepository

All Known Implementing Classes:
  `DerbyRepository`

public interface IRepository

## Method Summary

Modifier and Type
Method
Description
`<T extends BaseModel>
Long`
`createEntity(T model)`
`<T extends BaseModel>
List<T>`
`getAllEntities(Class<T> type)`
`<T extends BaseModel>
List<T>`
`getAllEntitiesByField(String fieldName, Object value, Class<T> type)`
`<T extends BaseModel>
List<T>`
`getAllEntitiesByField(String fieldName, Object value, Class<T> type, int rowCount)`
`<T extends BaseModel>
T`
`getEntity(Long id, Class<T> type)`
`<T extends BaseModel>
void`
`removeAllEntitiesByField(String fieldName, Object value, Class<T> type)`
`<T extends BaseModel>
void`
`removeEntity(Long id, Class<T> type)`
`<T extends BaseModel>
void`
`updateEntity(T model)`

## Method Details

### createEntity

<T extends BaseModel> Long createEntity(T model)

### getEntity

<T extends BaseModel> T getEntity(Long id, Class<T> type)

### getAllEntities

<T extends BaseModel> List<T> getAllEntities(Class<T> type)

### getAllEntitiesByField

<T extends BaseModel> List<T> getAllEntitiesByField(String fieldName, Object value, Class<T> type)

### getAllEntitiesByField

<T extends BaseModel> List<T> getAllEntitiesByField(String fieldName, Object value, Class<T> type, int rowCount)

### removeAllEntitiesByField

<T extends BaseModel> void removeAllEntitiesByField(String fieldName, Object value, Class<T> type)

### updateEntity

<T extends BaseModel> void updateEntity(T model)

### removeEntity

<T extends BaseModel> void removeEntity(Long id, Class<T> type)